Package io.vertx.ext.web.templ.pebble

## Interface PebbleTemplateEngine

- All Superinterfaces:
    `TemplateEngine`

      public interface PebbleTemplateEngine
      extends TemplateEngine

  A template engine that uses the Pebble library. The `unwrap()` shall return an object of class `PebbleEngine`
  Author:
    Dan Kristensen

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` | Default template extension

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PebbleTemplateEngine` | `create​(Vertx vertx)` | Create a template engine using defaults
    `static PebbleTemplateEngine` | `create​(Vertx vertx, io.pebbletemplates.pebble.PebbleEngine engine)` | Create a template engine using a custom Builder, e.g. if you want use custom Filters or Functions.
    `static PebbleTemplateEngine` | `create​(Vertx vertx, String extension)` | Create a template engine using defaults
    `static PebbleTemplateEngine` | `create​(Vertx vertx, String extension, io.pebbletemplates.pebble.PebbleEngine engine)` | Create a template engine using a custom Builder, e.g. if you want use custom Filters or Functions.
    `io.pebbletemplates.pebble.PebbleEngine` | `unwrap()` | Returns the underlying engine, so further configurations or customizations may be applied or `null` when the engine cannot unwrap it.

    - ### Methods inherited from interface io.vertx.ext.web.common.template.TemplateEngine

      `clearCache, render, render`

- - ### Field Detail

    - #### DEFAULT_TEMPLATE_EXTENSION

          static final String DEFAULT_TEMPLATE_EXTENSION

      Default template extension
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static PebbleTemplateEngine create​(Vertx vertx)

      Create a template engine using defaults
      Returns:
        the engine

    - #### create

          static PebbleTemplateEngine create​(Vertx vertx,
                                             String extension)

      Create a template engine using defaults
      Returns:
        the engine

    - #### create

          static PebbleTemplateEngine create​(Vertx vertx,
                                             io.pebbletemplates.pebble.PebbleEngine engine)

      Create a template engine using a custom Builder, e.g. if you want use custom Filters or Functions.
      Returns:
        the engine

    - #### create

          static PebbleTemplateEngine create​(Vertx vertx,
                                             String extension,
                                             io.pebbletemplates.pebble.PebbleEngine engine)

      Create a template engine using a custom Builder, e.g. if you want use custom Filters or Functions.
      Returns:
        the engine

    - #### unwrap

          io.pebbletemplates.pebble.PebbleEngine unwrap()

      Description copied from interface: `TemplateEngine`
      Returns the underlying engine, so further configurations or customizations may be applied or `null` when the engine cannot unwrap it.
      Specified by:
        `unwrap` in interface `TemplateEngine`
      Returns:
        the engine instance.